## rpi-blockutils 0.2.1

=== Makefile ===
NAME = blockmap_img2simg

SOURCES = blockmap_img2simg.c

OBJECTS = $(SOURCES:.c=.o)

DEB_HOST_MULTIARCH ?= $(shell $(CC) -dumpmachine)

CFLAGS += -fPIE -fpie
LDFLAGS += -fPIE -pie

SPARSE_CPPFLAGS += \
  -I/usr/include/android \

SPARSE_LDFLAGS += \
  -L/usr/lib/$(DEB_HOST_MULTIARCH)/android \
  -Wl,-rpath=/usr/lib/$(DEB_HOST_MULTIARCH)/android \
  -lsparse \

.PHONY: all
all: $(NAME) validate_blockmap apply_simg

$(NAME): $(OBJECTS)
	$(CC) -o $@ $^ $(LDFLAGS) $(SPARSE_LDFLAGS)

$(OBJECTS): %.o: %.c
	$(CC) -c -o $@ $< $(CFLAGS) $(CPPFLAGS) $(SPARSE_CPPFLAGS)

validate_blockmap: validate_blockmap.c
	$(CC) -o $@ $^ $(CPPFLAGS) $(CFLAGS) $(LDFLAGS)

apply_simg: apply_simg.c
	$(CC) -o $@ $^ $(CPPFLAGS) $(SPARSE_CPPFLAGS) $(CFLAGS) $(LDFLAGS) $(SPARSE_LDFLAGS)

.PHONY: clean
clean:
	rm -f *.o blockmap_img2simg validate_blockmap apply_simg

=== debian/changelog ===
rpi-blockutils (0.2.1) trixie; urgency=medium

  * debian: Update copyright wording
  * debian: Update for Trixie

 -- Richard Oliver <richard.oliver@raspberrypi.com>  Wed, 30 Jul 2025 13:45:05 +0100

rpi-blockutils (0.2.0) bookworm; urgency=medium

  * blockmap_img2simg: Fix valid_block check
  * Add apply_simg tool

 -- Richard Oliver <richard.oliver@raspberrypi.com>  Thu, 27 Feb 2025 17:15:58 +0000

rpi-blockutils (0.1.0) bookworm; urgency=medium

  [ Richard Oliver ]
  * Initial changelog

  [ Serge Schneider ]
  * Add salsa-ci.yml

 -- Richard Oliver <richard.oliver@raspberrypi.com>  Thu, 27 Feb 2025 14:21:52 +0000

=== debian/control ===
Source: rpi-blockutils
Section: embedded
Priority: optional
Maintainer: Richard Oliver <richard.oliver@raspberrypi.com>
Build-Depends: debhelper (>= 13), debhelper-compat (= 13), android-libsparse-dev, pandoc
Standards-Version: 4.7.2
Homepage: https://www.raspberrypi.com/software

Package: rpi-blockutils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: tools to manipulate sparse images using blockmaps
 Command line tools to create and validate sparse images with the use of
 blockmaps.
 Includes the blockmap_img2simg, validate_blockmap, and apply_simg tools.

Package: fat2simg
Architecture: all
Depends: ${misc:Depends}, rpi-blockutils, fatcat, xxd
Description: tool to create sparse FAT32 disk images
 Command line tools to create sparse images from FAT32 disk images by
 discarding unused clusters.
 Includes the fat2simg, extract_fat_as_hex, ascii_fat_to_blockmap, and
 fat_generate_blockmap tools.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_HOST_MULTIARCH

%:
	dh $@

execute_before_dh_install:
	pandoc fat2simg.md --standalone --to=man --shift-heading-level-by=-1 \
		--output=debian/fat2simg.1
	pandoc ascii_fat_to_blockmap.md --standalone --to=man --shift-heading-level-by=-1 \
		--output=debian/ascii_fat_to_blockmap.1
	pandoc extract_fat_as_hex.md --standalone --to=man --shift-heading-level-by=-1 \
		--output=debian/extract_fat_as_hex.1
	pandoc fat_generate_blockmap.md --standalone --to=man --shift-heading-level-by=-1 \
		--output=debian/fat_generate_blockmap.1
	pandoc blockmap_img2simg.md --standalone --to=man --shift-heading-level-by=-1 \
		--output=debian/blockmap_img2simg.1
	pandoc validate_blockmap.md --standalone --to=man --shift-heading-level-by=-1 \
		--output=debian/validate_blockmap.1
	pandoc apply_simg.md --standalone --to=man --shift-heading-level-by=-1 \
		--output=debian/apply_simg.1
